HTML/JS转换工具
Unicode编码转换
当前位置:首页 > WEB前端 > JavaScript > 

yarn怎么代替npm管理前端项目模块

来源:IT技术网编辑:雨天发布于:2017-09-06人围观

安装

虽然安装 yarn 可以不依赖 npm,但这里还是建议你使用 npm 来安装吧,快速而简洁:

?
1
npm i -g yarn

在项目中使用

首次初始化项目时执行,在每次项目启动/构建之前,也都应执行一次,以保证本地依赖得到及时更新。

该命令会检查 package.json 和 yarn.lock 文件中的依赖,当有其内容更新,会进行依赖更新安装。

?
1
yarn <install>

依赖更新。当你希望更新依赖模块到其最新版本时执行该命令。

?
1
yarn upgrade

yarn 常用命令

开始新项目

?
1
yarn init

添加依赖包

?
1
2
3
yarn add [package]
yarn add [package]@[version]
yarn add [package]@[tag]

升级依赖包

?
1
2
3
yarn upgrade [package]
yarn upgrade [package]@[version]
yarn upgrade [package]@[tag]

移除依赖包

?
1
yarn remove [package]

安装项目的全部依赖

?
1
yarn

或者

?
1
yarn install

yarn 使用实践建议

我们选择 yarn 的主要原因是依赖安装速度快,默认生成的 yarn.lock 会保证所有成员的模块依赖目录能够很好的保持一致。

yarn install 和 yarn upgrade 的执行逻辑,可以让你可以很清晰的管理本地依赖的版本更新时机,又能很好的让所有开发人员的本地依赖保持一致性。

使用 npm install 则有些乱,当你不想写死版本号依赖时,它总会安装依赖包最新可用的版本,但这在有时候并不是你想要的。

在 yarn 之前,我们使用的是 npm+淘宝仓库方案,也会使用 cnpm。在国内,cnpm 的依赖安装速度比 yarn 还要快,但 cnpm 在 windows 下通过创建链接引用的方式管理包依赖,可能会带来一些问题。

现在我们会默认使用淘宝仓库,使用 npm 管理全局依赖,使用 yarn 管理具体项目内的依赖。

在一个新的项目中使用 yarn,我们会这么来做:

  • 写好 package.json,写入初始的第三方依赖
  • 执行 yarn 命令,初始化安装项目依赖,生成 yarn.lock 文件
  • 后续通过执行 yarn add xxx 添加更多需要的依赖(也可直接在 package.json 文件中写入)
  • 当确定需要更新依赖模块到其最新版本时,执行 yarn upgrade 命令
  • 配置项目启动命令执行前,先执行 yarn 命令,以保证当 yarn.lock 被更新时,本地依赖也及时得到更新。例如,在 package.json 的 script 部分中配置 start 命令: "start": "yarn && yarn run build:dev"
织梦二维码生成器

与相关的文章
有时间的话来看看IT界的突发事件
发表评论
请自觉遵守互联网相关的政策法规,严禁发布色情、暴力、反动的言论。
评价:
表情:
用户名: 验证码:点击我更换图片